import { Injectable } from '@nestjs/common';
import { BaseDetailManager } from 'src/core/modules/domain/usecase/managers/base-detail.manager';
import { UserPrivilegeEntity } from '../../../entities/user-privilege.entity';
import { TABLE_NAME } from 'src/core/strings/constants/table.constants';
import { RelationParam } from 'src/core/modules/domain/entities/base-filter.entity';

@Injectable()
export class DetailUserPrivilegeManager extends BaseDetailManager<UserPrivilegeEntity> {
  async prepareData(): Promise<void> {
    this.tableName = TABLE_NAME.USER_PRIVILEGE;
    return;
  }

  async beforeProcess(): Promise<void> {
    return;
  }

  async afterProcess(): Promise<void> {
    return;
  }

  get relations(): RelationParam {
    return {
      joinRelations: [],
      selectRelations: [],
      countRelations: [],
    };
  }

  get selects(): string[] {
    return [];
  }

  get setFindProperties(): any {
    return {
      id: this.dataId,
    };
  }
}
